Hi,

At Sun, 9 Feb 2003 22:20:11 +0900,
Florian Frank wrote:
> @@ -1941,7 +1941,7 @@ The hash keys are case sensitive. Ask th
>            raise "Please, use ruby1.4.3 or later."
>          else
>            at_exit() do
> -            if defined?(CGI_PARAMS)
> +            if defined?(self.class.CGI_PARAMS)

I guess this expression never come true.  It should be
`self.class::CGI_PARAMS', instead.

>                self.class.class_eval("remove_const(:CGI_PARAMS)")
>                self.class.class_eval("remove_const(:CGI_COOKIES)")

Iterator style would be better here.

-- 
Nobu Nakada